<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">

    <link rel="icon" href="img/logo.png">

    <meta name="format-detection" content="telephone=no">
    <meta name="msapplication-tap-highlight" content="no">
    <meta name="viewport" content="initial-scale=1, width=device-width, viewport-fit=cover">

    <!-- Настройки безопасности кордовы, здесь настраивается могут ли выполняться и нлайн скрипты, -->
    <!-- переходы по ссылке, удаленный доступ к библиотекам и АПИ и т.д. -->
    <meta http-equiv="Content-Security-Policy" content="default-src *; style-src 'self' 'unsafe-inline' https://unpkg.com/leaflet@1.7.1/dist;
        script-src 'self' 'unsafe-inline' 'unsafe-eval' *; img-src 'self' data: *;">

    <link rel="stylesheet" href="css/bootstrap.min.css">

    <script src="js/jquery341.js"></script>
    <script src="js/popper.js"></script>
    <script src="js/bootstrap.min.js"></script>

    <script src="js/fontawesome.js"></script>

<!--    <script src="js/axios.min.js"></script>-->

    <link rel="stylesheet" href="css/index.css">

    <link rel="stylesheet" href="css/leaflet.css"/>

    <script src="https://unpkg.com/leaflet@1.7.1/dist/leaflet.js"
            integrity="sha512-XQoYMqMTK8LvdxXYG3nZ448hOEQiglfqkJs1NOQV44cWnUrBc8PkAOcXy20w0vlaXaVUearIOBhiXZ5V3ynxwA=="
            crossorigin=""></script>

    <!-- Очень важная ссылка, иначе не будут работать плагины cordova.js -->
    <script type="text/javascript" src="cordova.js"></script>
<!--    <script type="text/javascript" src="js/index.js"></script>-->
    <script type="text/javascript" src="js/taskList.js"></script>

    <script type="text/javascript" src="js/taskFactory.js"></script>

    <script>
        $(document).ready(function() {
            var id = localStorage.getItem('itemId');
            var iterator = localStorage.getItem('itemIter');
            if ( id !== undefined ) renderMenu(iterator, id);
        });

        $(function(){
            var includes = $('[data-include]');
            jQuery.each(includes, function(){
                var file = '' + $(this).data('include') + '.html';
                $(this).load(file);
            });
        });
    </script>

    <title>АСКУЭ «РЖД»</title>
</head>
<body>

    <!-- Меню -->
    <!-- ----------------------------------------------------------------------------------------------- -->
    <div data-include="menuBar"></div>
    <!-- Конец меню -->
    <!-- ----------------------------------------------------------------------------------------------- -->

    <!-- Аккордеон со списком задач -->
    <!-- ----------------------------------------------------------------------------------------------- -->
    <h3>Список задач</h3>
    <img id="readimg" style="width: 100%; height: auto;" />
    <div id="imgContainer" hidden></div>
    <accordion id="itemsAccordion" close-others="oneAtATime"></accordion>
    <br>

    <li class="list-group-item">
        <div class="d-flex justify-content-start flex-wrap">
            <button type="button" class="btn btn-primary" onclick="">Завершить</button>
        </div>
    </li>


    <!-- Конец аккордеона со списком задач -->
    <!-- ----------------------------------------------------------------------------------------------- -->

    <!-- Модальное окно подтверждения завершения задачи -->
    <!-- ----------------------------------------------------------------------------------------------- -->
    <div class="modal fade" id="modalConfirm">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">

                <!-- Modal Header -->
                <div class="modal-header">
                    <h4 class="modal-title">Завершение работы</h4>
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                </div>

                <!-- Modal body -->
                <div class="modal-body">
                    Завершение работы невозможно отменить, Вы уверены, что хотите подтвердить завершение?
                </div>

                <!-- Modal footer -->
                <div class="modal-footer">
                    <button type="button" class="btn btn-outline-success" data-dismiss="modal" onclick="closeTask()">Подтвердить</button>
                    <button type="button" class="btn btn-outline-danger" data-dismiss="modal">Отменить</button>

                </div>

            </div>
        </div>
    </div>
    <!-- Конец модального окна подтверждения завершения задачи -->
    <!-- ----------------------------------------------------------------------------------------------- -->

    <!-- Модальное окно подтверждения завершения задачи -->
    <!-- ----------------------------------------------------------------------------------------------- -->
    <div class="modal fade" id="modalDismiss">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">

                <!-- Modal Header -->
                <div class="modal-header">
                    <h4 class="modal-title">Завершение работы</h4>
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                </div>

                <!-- Modal body -->
                <div class="modal-body">
                    Отмена задачи необратима, Вы уверены, что хотите отменить задачу?
                </div>

                <!-- Modal footer -->
                <div class="modal-footer">
                    <button type="button" class="btn btn-outline-success" data-dismiss="modal" onclick="cancelTask()">Подтвердить</button>
                    <button type="button" class="btn btn-outline-danger" data-dismiss="modal">Отменить</button>

                </div>

            </div>
        </div>
    </div>
    <!-- Конец модального окна подтверждения завершения задачи -->
    <!-- ----------------------------------------------------------------------------------------------- -->

</body>
</html>